Page MenuHomePhabricator

Update style guide
Closed, ResolvedPublic

Description

Section 'Class Layout' of coding style guide page says:
#ifndef mitkClassName_h
#define
mitkClassName_h

But section 'Include Guards' says:
Naming convention for #include guards is: ClassName_h

Revisions and Commits

Event Timeline

Thanks for pointing that out. The style guide will need to be adapted anyway once we have decided on a .clang-format convention.

I am repurposing this bug to contain the entire mitk coding style issue.

User goch has pushed new remote branch:

bug-19210-update-style-guide-and-code-formatting
goch added a comment.EditedAug 16 2015, 7:38 PM

Apply clang-format:

for f in $(find . -name '*.cpp' -or -name '*.h' -or -name '*.txx' -or -name '*.hxx' -or -name '*.tpp' -or -name '*.cxx');do "/d/Program Files (x86)/LLVM/bin/clang-format.exe" -style=file -i $f; done

Delete trailing white spaces afterwards:

for f in $(find . -name '*.cpp' -or -name '*.h' -or -name '*.txx' -or -name '*.hxx' -or -name '*.tpp' -or -name '*.cxx');do sed -i -e's/[ \t]*$//g' $f; done

Suggested merge strategy:

git merge -X ignore-space-change

IpFunc... utilities were not converted

Needs core flag.

Changes were only documentation and reformatting. It was tested to compile on windows. I will compile it on Linux as well before merging.

kislinsk edited projects, added MITK (2016-03); removed MITK.Aug 1 2016, 10:49 PM
goch raised the priority of this task from High to Needs Triage.Aug 9 2016, 11:34 AM
goch raised the priority of this task from High to Needs Triage.
goch moved this task from 2016-03 to 2016-11 on the MITK board.
goch edited projects, added MITK (2016-11); removed MITK (2016-03).
goch moved this task from 2016-03 to 2016-11 on the MITK board.
goch edited projects, added MITK (2016-11); removed MITK (2016-03).
goch triaged this task as Low priority.Aug 9 2016, 11:36 AM
This comment was removed by goch.
goch added a revision: Restricted Differential Revision.Oct 24 2016, 1:36 PM
kislinsk edited projects, added MITK; removed MITK (2016-11).Feb 6 2017, 11:23 AM
goch closed this task as Resolved.Apr 19 2018, 2:43 PM

As far resolved as it is likely going to be for a while.